GDB (xrefs)

Public Member Functions | Static Public Attributes | List of all members
gdb._GdbFile Class Reference
Inheritance diagram for gdb._GdbFile:

## Public Member Functions
def | close (self)
def | isatty (self)
def | writelines (self, iterable)
def | flush (self)
def | close (self)
def | isatty (self)
def | writelines (self, iterable)
def | flush (self)

## Static Public Attributes
| encoding
| errors

## Detailed Description

Definition at line 27 of file __init__.py.

## Member Function Documentation

## ◆ close() [1/2]

def gdb._GdbFile.close | ( |  | self | ) |

Definition at line 32 of file __init__.py.

Referenced by gdb._GdbFile.close().

## ◆ close() [2/2]

def gdb._GdbFile.close | ( |  | self | ) |

Definition at line 32 of file __init__.py.

References gdb._GdbFile.close().

## ◆ flush() [1/2]

def gdb._GdbFile.flush | ( |  | self | ) |

Definition at line 43 of file __init__.py.

References gdb._GdbFile.flush().

## ◆ flush() [2/2]

def gdb._GdbFile.flush | ( |  | self | ) |

Definition at line 43 of file __init__.py.

Referenced by gdb._GdbFile.flush().

## ◆ isatty() [1/2]

def gdb._GdbFile.isatty | ( |  | self | ) |

Definition at line 36 of file __init__.py.

Referenced by gdb._GdbFile.isatty().

## ◆ isatty() [2/2]

def gdb._GdbFile.isatty | ( |  | self | ) |

Definition at line 36 of file __init__.py.

References gdb._GdbFile.isatty().

## ◆ writelines() [1/2]

def gdb._GdbFile.writelines | ( |  | self,
|  |  | iterable
| ) |  |

Definition at line 39 of file __init__.py.

References tui_file.write(), mi_console_file.write(), gdb.GdbOutputFile.write(), ioscm_file_port.write(), ui_file.write(), gdb.GdbOutputErrorFile.write(), null_file.write(), m32c_reg.write, string_file.write(), stdio_file.write(), lval_funcs.write, stderr_file.write(), tee_file.write(), and serial_ops.write.

Referenced by gdb._GdbFile.writelines().

## ◆ writelines() [2/2]

def gdb._GdbFile.writelines | ( |  | self,
|  |  | iterable
| ) |  |

Definition at line 39 of file __init__.py.

References tui_file.write(), mi_console_file.write(), gdb.GdbOutputFile.write(), ioscm_file_port.write(), ui_file.write(), gdb.GdbOutputErrorFile.write(), null_file.write(), m32c_reg.write, string_file.write(), stdio_file.write(), lval_funcs.write, stderr_file.write(), tee_file.write(), serial_ops.write, and gdb._GdbFile.writelines().

## Member Data Documentation

## ◆ encoding

gdb._GdbFile.encoding
| static

Definition at line 29 of file __init__.py.

## ◆ errors

gdb._GdbFile.errors
| static

Definition at line 30 of file __init__.py.

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/__init__.py